package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.VipGuide;

/**
 * 会员指南Service接口
 *
 * @author ruoyi
 * @date 2023-10-25
 */
public interface IVipGuideService
{
    /**
     * 查询会员指南
     *
     * @param guideId 会员指南主键
     * @return 会员指南
     */
    public VipGuide selectVipGuideByGuideId(Long guideId);

    /**
     * 查询会员指南列表
     *
     * @param vipGuide 会员指南
     * @return 会员指南集合
     */
    public List<VipGuide> selectVipGuideList(VipGuide vipGuide);

    /**
     * 是否显示vip
     * @return
     */
    public int selectVipShow();

    /**
     * 新增会员指南
     *
     * @param vipGuide 会员指南
     * @return 结果
     */
    public int insertVipGuide(VipGuide vipGuide);

    /**
     * 修改会员指南
     *
     * @param vipGuide 会员指南
     * @return 结果
     */
    public int updateVipGuide(VipGuide vipGuide);

    /**
     * 批量删除会员指南
     *
     * @param guideIds 需要删除的会员指南主键集合
     * @return 结果
     */
    public int deleteVipGuideByGuideIds(Long[] guideIds);

    /**
     * 删除会员指南信息
     *
     * @param guideId 会员指南主键
     * @return 结果
     */
    public int deleteVipGuideByGuideId(Long guideId);
}
